org.apache.juli

## Class ClassLoaderLogManager.RootLogger

- java.lang.Object
- - java.util.logging.Logger
  - - org.apache.juli.ClassLoaderLogManager.RootLogger

- Enclosing class:
    ClassLoaderLogManager

      protected static class ClassLoaderLogManager.RootLogger
      extends Logger

  This class is needed to instantiate the root of each per classloader hierarchy.

- - ### Field Summary

    - ### Fields inherited from class java.util.logging.Logger

      `global, GLOBAL_LOGGER_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RootLogger()`

  - ### Method Summary

    - ### Methods inherited from class java.util.logging.Logger

      `addHandler, config, config, entering, entering, entering, exiting, exiting, fine, fine, finer, finer, finest, finest, getAnonymousLogger, getAnonymousLogger, getFilter, getGlobal, getHandlers, getLevel, getLogger, getLogger, getName, getParent, getResourceBundle, getResourceBundleName, getUseParentHandlers, info, info, isLoggable, log, log, log, log, log, log, log, logp, logp, logp, logp, logp, logp, logrb, logrb, logrb, logrb, logrb, logrb, removeHandler, setFilter, setLevel, setParent, setResourceBundle, setUseParentHandlers, severe, severe, throwing, warning, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RootLogger

          public RootLogger()

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.